aboutsummaryrefslogtreecommitdiff
path: root/test/lint
diff options
context:
space:
mode:
authorfanquake <fanquake@gmail.com>2020-11-22 11:32:55 +0800
committerfanquake <fanquake@gmail.com>2020-12-28 14:25:06 +0800
commit1ef2138c0db3bd4f9332c777fa3fb2770dc1b08c (patch)
tree3faeca0a36f00c9aa46afe4c7e4495d1955ba576 /test/lint
parent4a8f4ac4fc07c59a0bfdbb7c15a50cf5b4364312 (diff)
downloadbitcoin-1ef2138c0db3bd4f9332c777fa3fb2770dc1b08c.tar.xz
lint: run mypy over contrib/devtools
Diffstat (limited to 'test/lint')
-rwxr-xr-xtest/lint/lint-python.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/lint/lint-python.sh b/test/lint/lint-python.sh
index 4fc130497b..f83c33cb32 100755
--- a/test/lint/lint-python.sh
+++ b/test/lint/lint-python.sh
@@ -102,7 +102,7 @@ if ! PYTHONWARNINGS="ignore" flake8 --ignore=B,C,E,F,I,N,W --select=$(IFS=","; e
EXIT_CODE=1
fi
-if ! mypy --ignore-missing-imports $(git ls-files "test/functional/*.py"); then
+if ! mypy --ignore-missing-imports $(git ls-files "test/functional/*.py" "contrib/devtools/*.py"); then
EXIT_CODE=1
fi